Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Agents

get

List agents.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
typestring · enumOptionalDefault: AGENT_TYPE_UNSETPossible values:
tagsstring[]Optional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
drIdentifierstringOptional
sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
metadataOnlybooleanOptional
ignoreScopebooleanOptional
connectedStatusstring · enumOptionalDefault: CONNECTED_STATUS_UNSETPossible values:
healthStatusstring · enumOptionalDefault: HEALTH_STATUS_UNSETPossible values:
withCredentialsbooleanOptional

Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.

includeSecondarybooleanOptional
drTypestring · enumOptionalDefault: UNKNOWN_TYPEPossible values:
Responses
200

A successful response.

application/json
totalPagesinteger · int32Optional
totalItemsinteger · int32Optional
pageItemCountinteger · int32Optional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
emptybooleanOptional
get/api/v1/agents
GET /api/v1/agents HTTP/1.1
Accept: */*
{
  "content": [
    {
      "accountIdentifier": "text",
      "projectIdentifier": "text",
      "orgIdentifier": "text",
      "identifier": "text",
      "name": "text",
      "metadata": {
        "namespace": "text",
        "highAvailability": true,
        "deployedApplicationCount": 1,
        "existingInstallation": true,
        "mappedProjects": {
          "appProjMap": {
            "ANY_ADDITIONAL_PROPERTY": {
              "projectIdentifier": "text",
              "orgIdentifier": "text",
              "autoCreateServiceEnv": true
            }
          }
        },
        "infraType": "UNSET",
        "isNamespaced": true,
        "releaseName": "text"
      },
      "description": "text",
      "type": "AGENT_TYPE_UNSET",
      "createdAt": {
        "seconds": "text",
        "nanos": 1
      },
      "lastModifiedAt": {
        "seconds": "text",
        "nanos": 1
      },
      "tags": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "health": {
        "lastHeartbeat": "2026-01-01T00:00:00.000Z",
        "argoRepoServer": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "argoAppController": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "argoRedisServer": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "harnessGitopsAgent": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "connectionStatus": "CONNECTED_STATUS_UNSET",
        "argoAppSetController": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "argoHAProxy": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        }
      },
      "credentials": {
        "privateKey": "text",
        "publicKey": "text"
      },
      "version": {
        "major": "text",
        "minor": "text",
        "patch": "text"
      },
      "upgradeAvailable": true,
      "scope": "AGENT_SCOPE_UNSET",
      "disasterRecoveryNode": {
        "identifier": "text",
        "name": "text",
        "type": "UNKNOWN_TYPE"
      },
      "isPLG": true,
      "operator": "UNKNOWN",
      "prefixedIdentifier": "text",
      "deletionInProgress": true,
      "uuid": "text"
    }
  ],
  "totalPages": 1,
  "totalItems": 1,
  "pageItemCount": 1,
  "pageSize": 1,
  "pageIndex": 1,
  "empty": true
}
post

Create agent.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
descriptionstringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
upgradeAvailablebooleanOptional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
isPLGbooleanOptional

Indicates if the agent is for PLG.

operatorstring · enumOptionalDefault: UNKNOWNPossible values:
prefixedIdentifierstringOptional

The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.

deletionInProgressbooleanOptional
uuidstringOptional

Server-generated UUID for this agent.

Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
descriptionstringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
upgradeAvailablebooleanOptional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
isPLGbooleanOptional

Indicates if the agent is for PLG.

operatorstring · enumOptionalDefault: UNKNOWNPossible values:
prefixedIdentifierstringOptional

The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.

deletionInProgressbooleanOptional
uuidstringOptional

Server-generated UUID for this agent.

post/api/v1/agents
POST /api/v1/agents HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1670

{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "metadata": {
    "namespace": "text",
    "highAvailability": true,
    "deployedApplicationCount": 1,
    "existingInstallation": true,
    "mappedProjects": {
      "appProjMap": {
        "ANY_ADDITIONAL_PROPERTY": {
          "projectIdentifier": "text",
          "orgIdentifier": "text",
          "autoCreateServiceEnv": true
        }
      }
    },
    "infraType": "UNSET",
    "isNamespaced": true,
    "releaseName": "text"
  },
  "description": "text",
  "type": "AGENT_TYPE_UNSET",
  "createdAt": {
    "seconds": "text",
    "nanos": 1
  },
  "lastModifiedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "health": {
    "lastHeartbeat": "2026-01-01T00:00:00.000Z",
    "argoRepoServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoAppController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoRedisServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "harnessGitopsAgent": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "connectionStatus": "CONNECTED_STATUS_UNSET",
    "argoAppSetController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoHAProxy": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    }
  },
  "credentials": {
    "privateKey": "text",
    "publicKey": "text"
  },
  "version": {
    "major": "text",
    "minor": "text",
    "patch": "text"
  },
  "upgradeAvailable": true,
  "scope": "AGENT_SCOPE_UNSET",
  "disasterRecoveryNode": {
    "identifier": "text",
    "name": "text",
    "type": "UNKNOWN_TYPE"
  },
  "isPLG": true,
  "operator": "UNKNOWN",
  "prefixedIdentifier": "text",
  "deletionInProgress": true,
  "uuid": "text"
}
{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "metadata": {
    "namespace": "text",
    "highAvailability": true,
    "deployedApplicationCount": 1,
    "existingInstallation": true,
    "mappedProjects": {
      "appProjMap": {
        "ANY_ADDITIONAL_PROPERTY": {
          "projectIdentifier": "text",
          "orgIdentifier": "text",
          "autoCreateServiceEnv": true
        }
      }
    },
    "infraType": "UNSET",
    "isNamespaced": true,
    "releaseName": "text"
  },
  "description": "text",
  "type": "AGENT_TYPE_UNSET",
  "createdAt": {
    "seconds": "text",
    "nanos": 1
  },
  "lastModifiedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "health": {
    "lastHeartbeat": "2026-01-01T00:00:00.000Z",
    "argoRepoServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoAppController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoRedisServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "harnessGitopsAgent": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "connectionStatus": "CONNECTED_STATUS_UNSET",
    "argoAppSetController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoHAProxy": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    }
  },
  "credentials": {
    "privateKey": "text",
    "publicKey": "text"
  },
  "version": {
    "major": "text",
    "minor": "text",
    "patch": "text"
  },
  "upgradeAvailable": true,
  "scope": "AGENT_SCOPE_UNSET",
  "disasterRecoveryNode": {
    "identifier": "text",
    "name": "text",
    "type": "UNKNOWN_TYPE"
  },
  "isPLG": true,
  "operator": "UNKNOWN",
  "prefixedIdentifier": "text",
  "deletionInProgress": true,
  "uuid": "text"
}
get

Get agent namespaces.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
typestring · enumOptionalDefault: AGENT_TYPE_UNSETPossible values:
tagsstring[]Optional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
drIdentifierstringOptional
sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
metadataOnlybooleanOptional
ignoreScopebooleanOptional
connectedStatusstring · enumOptionalDefault: CONNECTED_STATUS_UNSETPossible values:
healthStatusstring · enumOptionalDefault: HEALTH_STATUS_UNSETPossible values:
withCredentialsbooleanOptional

Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.

includeSecondarybooleanOptional
drTypestring · enumOptionalDefault: UNKNOWN_TYPEPossible values:
Responses
200

A successful response.

application/json
totalPagesinteger · int32Optional
totalItemsinteger · int32Optional
pageItemCountinteger · int32Optional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
emptybooleanOptional
get/api/v1/agents/ns
GET /api/v1/agents/ns HTTP/1.1
Accept: */*
{
  "namespaces": [
    {
      "name": "text"
    }
  ],
  "totalPages": 1,
  "totalItems": 1,
  "pageItemCount": 1,
  "pageSize": 1,
  "pageIndex": 1,
  "empty": true
}
post

Search agents.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
tagsstring[]Optional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
filterobjectOptional

Filters for Agents.

drIdentifierstringOptional
sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
metadataOnlybooleanOptional
ignoreScopebooleanOptional
connectedStatusstring · enumOptionalDefault: CONNECTED_STATUS_UNSETPossible values:
healthStatusstring · enumOptionalDefault: HEALTH_STATUS_UNSETPossible values:
withCredentialsbooleanOptional

Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.

includeSecondarybooleanOptional
drTypestring · enumOptionalDefault: UNKNOWN_TYPEPossible values:
Responses
200

A successful response.

application/json
totalPagesinteger · int32Optional
totalItemsinteger · int32Optional
pageItemCountinteger · int32Optional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
emptybooleanOptional
post/api/v1/agents/search
POST /api/v1/agents/search HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 653

{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "type": "AGENT_TYPE_UNSET",
  "tags": [
    "text"
  ],
  "searchTerm": "text",
  "pageSize": 1,
  "pageIndex": 1,
  "scope": "AGENT_SCOPE_UNSET",
  "filter": {},
  "drIdentifier": "text",
  "sortBy": "SORT_BY_NOT_SET",
  "sortOrder": "SORT_ORDER_NOT_SET",
  "metadataOnly": true,
  "ignoreScope": true,
  "connectedStatus": "CONNECTED_STATUS_UNSET",
  "healthStatus": "HEALTH_STATUS_UNSET",
  "withCredentials": true,
  "includeSecondary": true,
  "mappedProjects": {
    "appProjMap": {
      "ANY_ADDITIONAL_PROPERTY": {
        "projectIdentifier": "text",
        "orgIdentifier": "text",
        "autoCreateServiceEnv": true
      }
    }
  },
  "drType": "UNKNOWN_TYPE"
}
{
  "content": [
    {
      "accountIdentifier": "text",
      "projectIdentifier": "text",
      "orgIdentifier": "text",
      "identifier": "text",
      "name": "text",
      "metadata": {
        "namespace": "text",
        "highAvailability": true,
        "deployedApplicationCount": 1,
        "existingInstallation": true,
        "mappedProjects": {
          "appProjMap": {
            "ANY_ADDITIONAL_PROPERTY": {
              "projectIdentifier": "text",
              "orgIdentifier": "text",
              "autoCreateServiceEnv": true
            }
          }
        },
        "infraType": "UNSET",
        "isNamespaced": true,
        "releaseName": "text"
      },
      "description": "text",
      "type": "AGENT_TYPE_UNSET",
      "createdAt": {
        "seconds": "text",
        "nanos": 1
      },
      "lastModifiedAt": {
        "seconds": "text",
        "nanos": 1
      },
      "tags": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "health": {
        "lastHeartbeat": "2026-01-01T00:00:00.000Z",
        "argoRepoServer": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "argoAppController": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "argoRedisServer": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "harnessGitopsAgent": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "connectionStatus": "CONNECTED_STATUS_UNSET",
        "argoAppSetController": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        },
        "argoHAProxy": {
          "status": "HEALTH_STATUS_UNSET",
          "k8sError": "text",
          "message": "text",
          "version": "text"
        }
      },
      "credentials": {
        "privateKey": "text",
        "publicKey": "text"
      },
      "version": {
        "major": "text",
        "minor": "text",
        "patch": "text"
      },
      "upgradeAvailable": true,
      "scope": "AGENT_SCOPE_UNSET",
      "disasterRecoveryNode": {
        "identifier": "text",
        "name": "text",
        "type": "UNKNOWN_TYPE"
      },
      "isPLG": true,
      "operator": "UNKNOWN",
      "prefixedIdentifier": "text",
      "deletionInProgress": true,
      "uuid": "text"
    }
  ],
  "totalPages": 1,
  "totalItems": 1,
  "pageItemCount": 1,
  "pageSize": 1,
  "pageIndex": 1,
  "empty": true
}
get

Get agent tags.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
typestring · enumOptionalDefault: AGENT_TYPE_UNSETPossible values:
tagsstring[]Optional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
drIdentifierstringOptional
sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
metadataOnlybooleanOptional
ignoreScopebooleanOptional
connectedStatusstring · enumOptionalDefault: CONNECTED_STATUS_UNSETPossible values:
healthStatusstring · enumOptionalDefault: HEALTH_STATUS_UNSETPossible values:
withCredentialsbooleanOptional

Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.

includeSecondarybooleanOptional
drTypestring · enumOptionalDefault: UNKNOWN_TYPEPossible values:
Responses
200

A successful response.

application/json
totalPagesinteger · int32Optional
totalItemsinteger · int32Optional
pageItemCountinteger · int32Optional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
emptybooleanOptional
get/api/v1/agents/tags
GET /api/v1/agents/tags HTTP/1.1
Accept: */*
{
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "totalPages": 1,
  "totalItems": 1,
  "pageItemCount": 1,
  "pageSize": 1,
  "pageIndex": 1,
  "empty": true
}
get

Get agent versions.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
typestring · enumOptionalDefault: AGENT_TYPE_UNSETPossible values:
tagsstring[]Optional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
drIdentifierstringOptional
sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
metadataOnlybooleanOptional
ignoreScopebooleanOptional
connectedStatusstring · enumOptionalDefault: CONNECTED_STATUS_UNSETPossible values:
healthStatusstring · enumOptionalDefault: HEALTH_STATUS_UNSETPossible values:
withCredentialsbooleanOptional

Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.

includeSecondarybooleanOptional
drTypestring · enumOptionalDefault: UNKNOWN_TYPEPossible values:
Responses
200

A successful response.

application/json
totalPagesinteger · int32Optional
totalItemsinteger · int32Optional
pageItemCountinteger · int32Optional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
emptybooleanOptional
get/api/v1/agents/versions
GET /api/v1/agents/versions HTTP/1.1
Accept: */*
{
  "versions": [
    {
      "major": "text",
      "minor": "text",
      "patch": "text"
    }
  ],
  "totalPages": 1,
  "totalItems": 1,
  "pageItemCount": 1,
  "pageSize": 1,
  "pageIndex": 1,
  "empty": true
}

Update agents.

put

This API can be used to update an agent's details in Harness. The following fields will be updated to the new values in the body - "tags", "metadata"(all nested fields in metadata will be replaced with new provided values including empty/nil values if they're sent), "description", "type". A regular agent can be converted to a DR primary by setting "drType" to PRIMARY and providing a PRIMARY "disasterRecoveryNode". Download and reapply the agent manifest after conversion.

Path parameters
agent.identifierstringRequired

The gitops-server generated ID for this gitops-agent

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
descriptionstringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
upgradeAvailablebooleanOptional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
isPLGbooleanOptional

Indicates if the agent is for PLG.

operatorstring · enumOptionalDefault: UNKNOWNPossible values:
prefixedIdentifierstringOptional

The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.

deletionInProgressbooleanOptional
uuidstringOptional

Server-generated UUID for this agent.

Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
descriptionstringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
upgradeAvailablebooleanOptional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
isPLGbooleanOptional

Indicates if the agent is for PLG.

operatorstring · enumOptionalDefault: UNKNOWNPossible values:
prefixedIdentifierstringOptional

The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.

deletionInProgressbooleanOptional
uuidstringOptional

Server-generated UUID for this agent.

put/api/v1/agents/{agent.identifier}
PUT /api/v1/agents/{agent.identifier} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1670

{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "metadata": {
    "namespace": "text",
    "highAvailability": true,
    "deployedApplicationCount": 1,
    "existingInstallation": true,
    "mappedProjects": {
      "appProjMap": {
        "ANY_ADDITIONAL_PROPERTY": {
          "projectIdentifier": "text",
          "orgIdentifier": "text",
          "autoCreateServiceEnv": true
        }
      }
    },
    "infraType": "UNSET",
    "isNamespaced": true,
    "releaseName": "text"
  },
  "description": "text",
  "type": "AGENT_TYPE_UNSET",
  "createdAt": {
    "seconds": "text",
    "nanos": 1
  },
  "lastModifiedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "health": {
    "lastHeartbeat": "2026-01-01T00:00:00.000Z",
    "argoRepoServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoAppController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoRedisServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "harnessGitopsAgent": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "connectionStatus": "CONNECTED_STATUS_UNSET",
    "argoAppSetController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoHAProxy": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    }
  },
  "credentials": {
    "privateKey": "text",
    "publicKey": "text"
  },
  "version": {
    "major": "text",
    "minor": "text",
    "patch": "text"
  },
  "upgradeAvailable": true,
  "scope": "AGENT_SCOPE_UNSET",
  "disasterRecoveryNode": {
    "identifier": "text",
    "name": "text",
    "type": "UNKNOWN_TYPE"
  },
  "isPLG": true,
  "operator": "UNKNOWN",
  "prefixedIdentifier": "text",
  "deletionInProgress": true,
  "uuid": "text"
}
{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "metadata": {
    "namespace": "text",
    "highAvailability": true,
    "deployedApplicationCount": 1,
    "existingInstallation": true,
    "mappedProjects": {
      "appProjMap": {
        "ANY_ADDITIONAL_PROPERTY": {
          "projectIdentifier": "text",
          "orgIdentifier": "text",
          "autoCreateServiceEnv": true
        }
      }
    },
    "infraType": "UNSET",
    "isNamespaced": true,
    "releaseName": "text"
  },
  "description": "text",
  "type": "AGENT_TYPE_UNSET",
  "createdAt": {
    "seconds": "text",
    "nanos": 1
  },
  "lastModifiedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "health": {
    "lastHeartbeat": "2026-01-01T00:00:00.000Z",
    "argoRepoServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoAppController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoRedisServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "harnessGitopsAgent": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "connectionStatus": "CONNECTED_STATUS_UNSET",
    "argoAppSetController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoHAProxy": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    }
  },
  "credentials": {
    "privateKey": "text",
    "publicKey": "text"
  },
  "version": {
    "major": "text",
    "minor": "text",
    "patch": "text"
  },
  "upgradeAvailable": true,
  "scope": "AGENT_SCOPE_UNSET",
  "disasterRecoveryNode": {
    "identifier": "text",
    "name": "text",
    "type": "UNKNOWN_TYPE"
  },
  "isPLG": true,
  "operator": "UNKNOWN",
  "prefixedIdentifier": "text",
  "deletionInProgress": true,
  "uuid": "text"
}
get

GetDeployYaml returns deployment yamls for agents.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

namespacestringOptional
disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

skipCrdsbooleanOptional
caDatastringOptional

Certificate chain for the agent, must be base64 encoded.

proxy.httpstringOptional
proxy.httpsstringOptional
proxy.usernamestringOptional
proxy.passwordstringOptional
proxy.skipSSLVerifybooleanOptional
privateKeystringOptional
argocdSettings.enableHelmPathTraversalbooleanOptional

Controls the Environment variable HELM_SECRETS_VALUES_ALLOW_PATH_TRAVERSAL to allow or deny dot-dot-slash values file paths. Disabled by default for security reasons. This config is pushed as an env variable to the repo-server.

argocdSettings.forceEnableInClusterbooleanOptional

For a Namespaced gitops agent, incluster is disabled by default. (controlled through variable cluster.inclusterEnabled in argocd-cm configmap. NOTE that you will have to manually restrict your namespaced agent's scope to its own cluster since this essentially makes the namespaced agent have access to incluster completely including creating clusterroles.

argocdSettings.enableArgocdHarnessPluginbooleanOptional
argocdSettings.applicationNamespacesstringOptional

Comma-separated list of namespaces (or "*" for all) where Application CRs are allowed to live. Maps to application.namespaces in argocd-cmd-params-cm.

Responses
200

A successful response.

application/yaml
stringOptional
get/api/v1/agents/{agentIdentifier}/deploy.yaml
GET /api/v1/agents/{agentIdentifier}/deploy.yaml HTTP/1.1
Accept: */*
text
post

PostDeployHelmChart returns the Helm Chart for deploying the agents.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

namespacestringOptional
disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

skipCrdsbooleanOptional
caDatastringOptional

Certificate chain for the agent, must be base64 encoded.

privateKeystringOptional
Responses
200

A successful response.(streaming responses)

application/octet-stream
post/api/v1/agents/{agentIdentifier}/deployment-spec/helm
POST /api/v1/agents/{agentIdentifier}/deployment-spec/helm HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 448

{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "namespace": "text",
  "disasterRecoveryIdentifier": "text",
  "skipCrds": true,
  "caData": "text",
  "proxy": {
    "http": "text",
    "https": "text",
    "username": "text",
    "password": "text",
    "skipSSLVerify": true
  },
  "privateKey": "text",
  "argocdSettings": {
    "enableHelmPathTraversal": true,
    "forceEnableInCluster": true,
    "enableArgocdHarnessPlugin": true,
    "applicationNamespaces": "text"
  }
}
{
  "result": {
    "chunk": "Ynl0ZXM="
  },
  "error": {
    "grpc_code": 1,
    "http_code": 1,
    "message": "text",
    "http_status": "text",
    "details": [
      {
        "type_url": "text",
        "value": "Ynl0ZXM="
      }
    ]
  }
}
post

PostDeployYaml returns deployment yamls for agents.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

namespacestringOptional
disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

skipCrdsbooleanOptional
caDatastringOptional

Certificate chain for the agent, must be base64 encoded.

privateKeystringOptional
Responses
200

A successful response.

application/yaml
stringOptional
post/api/v1/agents/{agentIdentifier}/deployment-spec/yaml
POST /api/v1/agents/{agentIdentifier}/deployment-spec/yaml HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 448

{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "namespace": "text",
  "disasterRecoveryIdentifier": "text",
  "skipCrds": true,
  "caData": "text",
  "proxy": {
    "http": "text",
    "https": "text",
    "username": "text",
    "password": "text",
    "skipSSLVerify": true
  },
  "privateKey": "text",
  "argocdSettings": {
    "enableHelmPathTraversal": true,
    "forceEnableInCluster": true,
    "enableArgocdHarnessPlugin": true,
    "applicationNamespaces": "text"
  }
}
text
get

GetDeployHelmChart returns the Helm Chart for deploying the agents.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

namespacestringOptional
disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

skipCrdsbooleanOptional
caDatastringOptional

Certificate chain for the agent, must be base64 encoded.

proxy.httpstringOptional
proxy.httpsstringOptional
proxy.usernamestringOptional
proxy.passwordstringOptional
proxy.skipSSLVerifybooleanOptional
privateKeystringOptional
argocdSettings.enableHelmPathTraversalbooleanOptional

Controls the Environment variable HELM_SECRETS_VALUES_ALLOW_PATH_TRAVERSAL to allow or deny dot-dot-slash values file paths. Disabled by default for security reasons. This config is pushed as an env variable to the repo-server.

argocdSettings.forceEnableInClusterbooleanOptional

For a Namespaced gitops agent, incluster is disabled by default. (controlled through variable cluster.inclusterEnabled in argocd-cm configmap. NOTE that you will have to manually restrict your namespaced agent's scope to its own cluster since this essentially makes the namespaced agent have access to incluster completely including creating clusterroles.

argocdSettings.enableArgocdHarnessPluginbooleanOptional
argocdSettings.applicationNamespacesstringOptional

Comma-separated list of namespaces (or "*" for all) where Application CRs are allowed to live. Maps to application.namespaces in argocd-cmd-params-cm.

Responses
200

A successful response.(streaming responses)

application/octet-stream
get/api/v1/agents/{agentIdentifier}/helm-chart
GET /api/v1/agents/{agentIdentifier}/helm-chart HTTP/1.1
Accept: */*
{
  "result": {
    "chunk": "Ynl0ZXM="
  },
  "error": {
    "grpc_code": 1,
    "http_code": 1,
    "message": "text",
    "http_status": "text",
    "details": [
      {
        "type_url": "text",
        "value": "Ynl0ZXM="
      }
    ]
  }
}
get

GetDeployOverrides returns the Helm Chart overrides for the agents.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

namespacestringOptional
disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

skipCrdsbooleanOptional
caDatastringOptional

Certificate chain for the agent, must be base64 encoded.

proxy.httpstringOptional
proxy.httpsstringOptional
proxy.usernamestringOptional
proxy.passwordstringOptional
proxy.skipSSLVerifybooleanOptional
privateKeystringOptional
argocdSettings.enableHelmPathTraversalbooleanOptional

Controls the Environment variable HELM_SECRETS_VALUES_ALLOW_PATH_TRAVERSAL to allow or deny dot-dot-slash values file paths. Disabled by default for security reasons. This config is pushed as an env variable to the repo-server.

argocdSettings.forceEnableInClusterbooleanOptional

For a Namespaced gitops agent, incluster is disabled by default. (controlled through variable cluster.inclusterEnabled in argocd-cm configmap. NOTE that you will have to manually restrict your namespaced agent's scope to its own cluster since this essentially makes the namespaced agent have access to incluster completely including creating clusterroles.

argocdSettings.enableArgocdHarnessPluginbooleanOptional
argocdSettings.applicationNamespacesstringOptional

Comma-separated list of namespaces (or "*" for all) where Application CRs are allowed to live. Maps to application.namespaces in argocd-cmd-params-cm.

Responses
200

A successful response.

application/yaml
stringOptional
get/api/v1/agents/{agentIdentifier}/helm-overrides
GET /api/v1/agents/{agentIdentifier}/helm-overrides HTTP/1.1
Accept: */*
text
post

PostDeployOverrides returns the Helm Chart overrides for deploying the agents.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

namespacestringOptional
disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

skipCrdsbooleanOptional
caDatastringOptional

Certificate chain for the agent, must be base64 encoded.

privateKeystringOptional
Responses
200

A successful response.

application/yaml
stringOptional
post/api/v1/agents/{agentIdentifier}/helm-overrides
POST /api/v1/agents/{agentIdentifier}/helm-overrides HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 448

{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "namespace": "text",
  "disasterRecoveryIdentifier": "text",
  "skipCrds": true,
  "caData": "text",
  "proxy": {
    "http": "text",
    "https": "text",
    "username": "text",
    "password": "text",
    "skipSSLVerify": true
  },
  "privateKey": "text",
  "argocdSettings": {
    "enableHelmPathTraversal": true,
    "forceEnableInCluster": true,
    "enableArgocdHarnessPlugin": true,
    "applicationNamespaces": "text"
  }
}
text
get

GetOperatorYaml returns operator yaml for deploying the agents.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

namespacestringOptional
disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

skipCrdsbooleanOptional
caDatastringOptional

Certificate chain for the agent, must be base64 encoded.

proxy.httpstringOptional
proxy.httpsstringOptional
proxy.usernamestringOptional
proxy.passwordstringOptional
proxy.skipSSLVerifybooleanOptional
privateKeystringOptional
argocdSettings.enableHelmPathTraversalbooleanOptional

Controls the Environment variable HELM_SECRETS_VALUES_ALLOW_PATH_TRAVERSAL to allow or deny dot-dot-slash values file paths. Disabled by default for security reasons. This config is pushed as an env variable to the repo-server.

argocdSettings.forceEnableInClusterbooleanOptional

For a Namespaced gitops agent, incluster is disabled by default. (controlled through variable cluster.inclusterEnabled in argocd-cm configmap. NOTE that you will have to manually restrict your namespaced agent's scope to its own cluster since this essentially makes the namespaced agent have access to incluster completely including creating clusterroles.

argocdSettings.enableArgocdHarnessPluginbooleanOptional
argocdSettings.applicationNamespacesstringOptional

Comma-separated list of namespaces (or "*" for all) where Application CRs are allowed to live. Maps to application.namespaces in argocd-cmd-params-cm.

Responses
200

A successful response.

application/yaml
stringOptional
get/api/v1/agents/{agentIdentifier}/operator/yaml
GET /api/v1/agents/{agentIdentifier}/operator/yaml HTTP/1.1
Accept: */*
text
post

PostOperatorYaml returns operator yaml for deploying the agents.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

namespacestringOptional
disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

skipCrdsbooleanOptional
caDatastringOptional

Certificate chain for the agent, must be base64 encoded.

privateKeystringOptional
Responses
200

A successful response.

application/yaml
stringOptional
post/api/v1/agents/{agentIdentifier}/operator/yaml
POST /api/v1/agents/{agentIdentifier}/operator/yaml HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 448

{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "namespace": "text",
  "disasterRecoveryIdentifier": "text",
  "skipCrds": true,
  "caData": "text",
  "proxy": {
    "http": "text",
    "https": "text",
    "username": "text",
    "password": "text",
    "skipSSLVerify": true
  },
  "privateKey": "text",
  "argocdSettings": {
    "enableHelmPathTraversal": true,
    "forceEnableInCluster": true,
    "enableArgocdHarnessPlugin": true,
    "applicationNamespaces": "text"
  }
}
text
patch

Set primary disaster recovery node.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent identifier for entity.

disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

disableSyncWindowsbooleanOptional

Disable sync windows for the new primary agent.

Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
descriptionstringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
upgradeAvailablebooleanOptional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
isPLGbooleanOptional

Indicates if the agent is for PLG.

operatorstring · enumOptionalDefault: UNKNOWNPossible values:
prefixedIdentifierstringOptional

The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.

deletionInProgressbooleanOptional
uuidstringOptional

Server-generated UUID for this agent.

patch/api/v1/agents/{agentIdentifier}/primaryNode
PATCH /api/v1/agents/{agentIdentifier}/primaryNode HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 165

{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "disasterRecoveryIdentifier": "text",
  "disableSyncWindows": true
}
{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "metadata": {
    "namespace": "text",
    "highAvailability": true,
    "deployedApplicationCount": 1,
    "existingInstallation": true,
    "mappedProjects": {
      "appProjMap": {
        "ANY_ADDITIONAL_PROPERTY": {
          "projectIdentifier": "text",
          "orgIdentifier": "text",
          "autoCreateServiceEnv": true
        }
      }
    },
    "infraType": "UNSET",
    "isNamespaced": true,
    "releaseName": "text"
  },
  "description": "text",
  "type": "AGENT_TYPE_UNSET",
  "createdAt": {
    "seconds": "text",
    "nanos": 1
  },
  "lastModifiedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "health": {
    "lastHeartbeat": "2026-01-01T00:00:00.000Z",
    "argoRepoServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoAppController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoRedisServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "harnessGitopsAgent": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "connectionStatus": "CONNECTED_STATUS_UNSET",
    "argoAppSetController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoHAProxy": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    }
  },
  "credentials": {
    "privateKey": "text",
    "publicKey": "text"
  },
  "version": {
    "major": "text",
    "minor": "text",
    "patch": "text"
  },
  "upgradeAvailable": true,
  "scope": "AGENT_SCOPE_UNSET",
  "disasterRecoveryNode": {
    "identifier": "text",
    "name": "text",
    "type": "UNKNOWN_TYPE"
  },
  "isPLG": true,
  "operator": "UNKNOWN",
  "prefixedIdentifier": "text",
  "deletionInProgress": true,
  "uuid": "text"
}
get

GetSyncStatus returns the sync status of the agent.

Path parameters
agentIdentifierstringRequired

Agent Identifier for the Entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

Responses
200

A successful response.

application/json
syncAllowedbooleanOptional
get/api/v1/agents/{agentIdentifier}/sync-allowed
GET /api/v1/agents/{agentIdentifier}/sync-allowed HTTP/1.1
Accept: */*
{
  "syncAllowed": true
}
put

UpdateSyncAllowed updates the sync status of the agent by creating deny sync windows for mapped app projects.

Path parameters
agentIdentifierstringRequired

Agent Identifier for the Entity.

Body
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

agentIdentifierstringOptional

Agent Identifier for the Entity.

disasterRecoveryIdentifierstringOptional

Disaster Recovery Identifier for entity.

syncAllowedbooleanOptional

Sync allowed for the entity.

Responses
200

A successful response.

application/json
syncAllowedbooleanOptional
put/api/v1/agents/{agentIdentifier}/sync-allowed
PUT /api/v1/agents/{agentIdentifier}/sync-allowed HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 158

{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "agentIdentifier": "text",
  "disasterRecoveryIdentifier": "text",
  "syncAllowed": true
}
{
  "syncAllowed": true
}
get

Get agents.

Path parameters
identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

namestringOptional
typestring · enumOptionalDefault: AGENT_TYPE_UNSETPossible values:
tagsstring[]Optional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
drIdentifierstringOptional
sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
metadataOnlybooleanOptional
ignoreScopebooleanOptional
connectedStatusstring · enumOptionalDefault: CONNECTED_STATUS_UNSETPossible values:
healthStatusstring · enumOptionalDefault: HEALTH_STATUS_UNSETPossible values:
withCredentialsbooleanOptional

Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.

includeSecondarybooleanOptional
drTypestring · enumOptionalDefault: UNKNOWN_TYPEPossible values:
Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
descriptionstringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
upgradeAvailablebooleanOptional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
isPLGbooleanOptional

Indicates if the agent is for PLG.

operatorstring · enumOptionalDefault: UNKNOWNPossible values:
prefixedIdentifierstringOptional

The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.

deletionInProgressbooleanOptional
uuidstringOptional

Server-generated UUID for this agent.

get/api/v1/agents/{identifier}
GET /api/v1/agents/{identifier} HTTP/1.1
Accept: */*
{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "metadata": {
    "namespace": "text",
    "highAvailability": true,
    "deployedApplicationCount": 1,
    "existingInstallation": true,
    "mappedProjects": {
      "appProjMap": {
        "ANY_ADDITIONAL_PROPERTY": {
          "projectIdentifier": "text",
          "orgIdentifier": "text",
          "autoCreateServiceEnv": true
        }
      }
    },
    "infraType": "UNSET",
    "isNamespaced": true,
    "releaseName": "text"
  },
  "description": "text",
  "type": "AGENT_TYPE_UNSET",
  "createdAt": {
    "seconds": "text",
    "nanos": 1
  },
  "lastModifiedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "health": {
    "lastHeartbeat": "2026-01-01T00:00:00.000Z",
    "argoRepoServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoAppController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoRedisServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "harnessGitopsAgent": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "connectionStatus": "CONNECTED_STATUS_UNSET",
    "argoAppSetController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoHAProxy": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    }
  },
  "credentials": {
    "privateKey": "text",
    "publicKey": "text"
  },
  "version": {
    "major": "text",
    "minor": "text",
    "patch": "text"
  },
  "upgradeAvailable": true,
  "scope": "AGENT_SCOPE_UNSET",
  "disasterRecoveryNode": {
    "identifier": "text",
    "name": "text",
    "type": "UNKNOWN_TYPE"
  },
  "isPLG": true,
  "operator": "UNKNOWN",
  "prefixedIdentifier": "text",
  "deletionInProgress": true,
  "uuid": "text"
}
delete

Delete agents.

Path parameters
identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

namestringOptional
typestring · enumOptionalDefault: AGENT_TYPE_UNSETPossible values:
tagsstring[]Optional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
drIdentifierstringOptional
sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
metadataOnlybooleanOptional
ignoreScopebooleanOptional
connectedStatusstring · enumOptionalDefault: CONNECTED_STATUS_UNSETPossible values:
healthStatusstring · enumOptionalDefault: HEALTH_STATUS_UNSETPossible values:
withCredentialsbooleanOptional

Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.

includeSecondarybooleanOptional
drTypestring · enumOptionalDefault: UNKNOWN_TYPEPossible values:
Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
descriptionstringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
upgradeAvailablebooleanOptional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
isPLGbooleanOptional

Indicates if the agent is for PLG.

operatorstring · enumOptionalDefault: UNKNOWNPossible values:
prefixedIdentifierstringOptional

The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.

deletionInProgressbooleanOptional
uuidstringOptional

Server-generated UUID for this agent.

delete/api/v1/agents/{identifier}
DELETE /api/v1/agents/{identifier} HTTP/1.1
Accept: */*
{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "metadata": {
    "namespace": "text",
    "highAvailability": true,
    "deployedApplicationCount": 1,
    "existingInstallation": true,
    "mappedProjects": {
      "appProjMap": {
        "ANY_ADDITIONAL_PROPERTY": {
          "projectIdentifier": "text",
          "orgIdentifier": "text",
          "autoCreateServiceEnv": true
        }
      }
    },
    "infraType": "UNSET",
    "isNamespaced": true,
    "releaseName": "text"
  },
  "description": "text",
  "type": "AGENT_TYPE_UNSET",
  "createdAt": {
    "seconds": "text",
    "nanos": 1
  },
  "lastModifiedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "health": {
    "lastHeartbeat": "2026-01-01T00:00:00.000Z",
    "argoRepoServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoAppController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoRedisServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "harnessGitopsAgent": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "connectionStatus": "CONNECTED_STATUS_UNSET",
    "argoAppSetController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoHAProxy": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    }
  },
  "credentials": {
    "privateKey": "text",
    "publicKey": "text"
  },
  "version": {
    "major": "text",
    "minor": "text",
    "patch": "text"
  },
  "upgradeAvailable": true,
  "scope": "AGENT_SCOPE_UNSET",
  "disasterRecoveryNode": {
    "identifier": "text",
    "name": "text",
    "type": "UNKNOWN_TYPE"
  },
  "isPLG": true,
  "operator": "UNKNOWN",
  "prefixedIdentifier": "text",
  "deletionInProgress": true,
  "uuid": "text"
}
post

Regenerate credentials for agents.

Path parameters
identifierstringRequired
Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
descriptionstringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
upgradeAvailablebooleanOptional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
isPLGbooleanOptional

Indicates if the agent is for PLG.

operatorstring · enumOptionalDefault: UNKNOWNPossible values:
prefixedIdentifierstringOptional

The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.

deletionInProgressbooleanOptional
uuidstringOptional

Server-generated UUID for this agent.

post/api/v1/agents/{identifier}/credentials
POST /api/v1/agents/{identifier}/credentials HTTP/1.1
Accept: */*
{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "metadata": {
    "namespace": "text",
    "highAvailability": true,
    "deployedApplicationCount": 1,
    "existingInstallation": true,
    "mappedProjects": {
      "appProjMap": {
        "ANY_ADDITIONAL_PROPERTY": {
          "projectIdentifier": "text",
          "orgIdentifier": "text",
          "autoCreateServiceEnv": true
        }
      }
    },
    "infraType": "UNSET",
    "isNamespaced": true,
    "releaseName": "text"
  },
  "description": "text",
  "type": "AGENT_TYPE_UNSET",
  "createdAt": {
    "seconds": "text",
    "nanos": 1
  },
  "lastModifiedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "health": {
    "lastHeartbeat": "2026-01-01T00:00:00.000Z",
    "argoRepoServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoAppController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoRedisServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "harnessGitopsAgent": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "connectionStatus": "CONNECTED_STATUS_UNSET",
    "argoAppSetController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoHAProxy": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    }
  },
  "credentials": {
    "privateKey": "text",
    "publicKey": "text"
  },
  "version": {
    "major": "text",
    "minor": "text",
    "patch": "text"
  },
  "upgradeAvailable": true,
  "scope": "AGENT_SCOPE_UNSET",
  "disasterRecoveryNode": {
    "identifier": "text",
    "name": "text",
    "type": "UNKNOWN_TYPE"
  },
  "isPLG": true,
  "operator": "UNKNOWN",
  "prefixedIdentifier": "text",
  "deletionInProgress": true,
  "uuid": "text"
}
post

Scale the Hosted agent.

Path parameters
identifierstringRequired
Body
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
typestringOptional
replicasinteger · int32Optional
Responses
200

A successful response.

application/json
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

identifierstringOptional
namestringOptional
descriptionstringOptional
typestring · enumOptional

AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.

Please use type "MANAGED_ARGO_PROVIDER" to create your agents.

"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).

Default: AGENT_TYPE_UNSETPossible values:
upgradeAvailablebooleanOptional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
isPLGbooleanOptional

Indicates if the agent is for PLG.

operatorstring · enumOptionalDefault: UNKNOWNPossible values:
prefixedIdentifierstringOptional

The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.

deletionInProgressbooleanOptional
uuidstringOptional

Server-generated UUID for this agent.

post/api/v1/agents/{identifier}/scale
POST /api/v1/agents/{identifier}/scale HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 125

{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "type": "text",
  "replicas": 1
}
{
  "accountIdentifier": "text",
  "projectIdentifier": "text",
  "orgIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "metadata": {
    "namespace": "text",
    "highAvailability": true,
    "deployedApplicationCount": 1,
    "existingInstallation": true,
    "mappedProjects": {
      "appProjMap": {
        "ANY_ADDITIONAL_PROPERTY": {
          "projectIdentifier": "text",
          "orgIdentifier": "text",
          "autoCreateServiceEnv": true
        }
      }
    },
    "infraType": "UNSET",
    "isNamespaced": true,
    "releaseName": "text"
  },
  "description": "text",
  "type": "AGENT_TYPE_UNSET",
  "createdAt": {
    "seconds": "text",
    "nanos": 1
  },
  "lastModifiedAt": {
    "seconds": "text",
    "nanos": 1
  },
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "health": {
    "lastHeartbeat": "2026-01-01T00:00:00.000Z",
    "argoRepoServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoAppController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoRedisServer": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "harnessGitopsAgent": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "connectionStatus": "CONNECTED_STATUS_UNSET",
    "argoAppSetController": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    },
    "argoHAProxy": {
      "status": "HEALTH_STATUS_UNSET",
      "k8sError": "text",
      "message": "text",
      "version": "text"
    }
  },
  "credentials": {
    "privateKey": "text",
    "publicKey": "text"
  },
  "version": {
    "major": "text",
    "minor": "text",
    "patch": "text"
  },
  "upgradeAvailable": true,
  "scope": "AGENT_SCOPE_UNSET",
  "disasterRecoveryNode": {
    "identifier": "text",
    "name": "text",
    "type": "UNKNOWN_TYPE"
  },
  "isPLG": true,
  "operator": "UNKNOWN",
  "prefixedIdentifier": "text",
  "deletionInProgress": true,
  "uuid": "text"
}

GetSecretResolutionEnabled reports whether Harness secret resolution is enabled for this account and agent version.

get

Reports whether Harness secret resolution is enabled for the agent.

Path parameters
identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

namestringOptional
typestring · enumOptionalDefault: AGENT_TYPE_UNSETPossible values:
tagsstring[]Optional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
drIdentifierstringOptional
sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
metadataOnlybooleanOptional
ignoreScopebooleanOptional
connectedStatusstring · enumOptionalDefault: CONNECTED_STATUS_UNSETPossible values:
healthStatusstring · enumOptionalDefault: HEALTH_STATUS_UNSETPossible values:
withCredentialsbooleanOptional

Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.

includeSecondarybooleanOptional
drTypestring · enumOptionalDefault: UNKNOWN_TYPEPossible values:
Responses
200

A successful response.

application/json
enabledbooleanOptional
get/api/v1/agents/{identifier}/secret-resolution/enabled
GET /api/v1/agents/{identifier}/secret-resolution/enabled HTTP/1.1
Accept: */*
{
  "enabled": true
}
get

Unique returns unique agents.

Path parameters
identifierstringRequired
Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

namestringOptional
typestring · enumOptionalDefault: AGENT_TYPE_UNSETPossible values:
tagsstring[]Optional
searchTermstringOptional
pageSizeinteger · int32Optional
pageIndexinteger · int32Optional
scopestring · enumOptionalDefault: AGENT_SCOPE_UNSETPossible values:
drIdentifierstringOptional
sortBystring · enumOptionalDefault: SORT_BY_NOT_SETPossible values:
sortOrderstring · enumOptionalDefault: SORT_ORDER_NOT_SETPossible values:
metadataOnlybooleanOptional
ignoreScopebooleanOptional
connectedStatusstring · enumOptionalDefault: CONNECTED_STATUS_UNSETPossible values:
healthStatusstring · enumOptionalDefault: HEALTH_STATUS_UNSETPossible values:
withCredentialsbooleanOptional

Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.

includeSecondarybooleanOptional
drTypestring · enumOptionalDefault: UNKNOWN_TYPEPossible values:
Responses
200

A successful response.

application/json
uniquebooleanOptional
get/api/v1/agents/{identifier}/unique
GET /api/v1/agents/{identifier}/unique HTTP/1.1
Accept: */*
{
  "unique": true
}
get

Check for version updates.

Query parameters
existingVersionstringOptional

Current Agent Version

Responses
200

A successful response.

application/json
ShouldUpgradebooleanOptional

Indicates whether agent has an upgrade available or not

AgentImageTagstringOptional

Docker image tag for agent

ArgoCDImagestringOptional

Latest ArgoCDImage

FlamingoArgoCDImagestringOptional

Latest FlamingoArgoCDImage

HAProxyImagestringOptional

Latest HAProxyImage

RedisImagestringOptional

Latest redis image

SopsImagestringOptional

Latest sopsInstaller image

get/api/v2/versions/agents/upgrade-available
GET /api/v2/versions/agents/upgrade-available HTTP/1.1
Accept: */*
{
  "ShouldUpgrade": true,
  "AgentImageTag": "text",
  "ArgoCDImage": "text",
  "FlamingoArgoCDImage": "text",
  "HAProxyImage": "text",
  "RedisImage": "text",
  "SopsImage": "text"
}

Last updated

Was this helpful?